/[CCFs]/bin/buildagain
ViewVC logotype

Diff of /bin/buildagain

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.9 by ccflib, Fri Nov 11 16:07:24 2005 UTC revision 1.13 by ccflib, Fri May 11 11:47:38 2007 UTC
# Line 1  Line 1 
1  #! /usr/local/bin/bash  #! /usr/local/bin/bash
2  #  #
3  # $Id: buildagain,v 1.8 2005/11/11 15:45:20 ccflib Exp $  # $Id: buildagain,v 1.12 2005/11/11 16:58:45 ccflib Exp $
4  #  #
5  # + Build again a specific set of CCF packages  # + Build again a specific set of CCF packages
6    # + Moves the resulting CCF to final destination
7    #   (makes in part the same that acceptbuild)
8  #  #
9  # Exit code:  # Exit code:
10  #  + -1 (255): nothing to build  #  + -1 (255): nothing to build
# Line 65  for p in $plist; do Line 67  for p in $plist; do
67     echo -n Unpacking `basename $p` ...     echo -n Unpacking `basename $p` ...
68     tar -C packages -xzf $p || (echo FAILED, aborting ; exit 1)     tar -C packages -xzf $p || (echo FAILED, aborting ; exit 1)
69     echo " done."     echo " done."
70       echo -n ChangeLog says:
71       mkdir tmplog || exit 1
72       tar -C tmplog -xzf $p || (echo FAILED, aborting ; exit 1)
73       chmod -R a+w tmplog
74       tmpdir=`ls -1 tmplog`
75       last_version tmplog/$tmpdir/ChangeLog
76       rm -fr tmplog  
77  done  done
78    
79  # updating the dev directory for any possible change in its files  # updating the dev directory for any possible change in its files
# Line 84  for p in $plist; do Line 93  for p in $plist; do
93     thisp=`basename $p '.tgz' | sed -e 's/-[0-9]\{1,\}\.[0-9]\{1,\}$//'`     thisp=`basename $p '.tgz' | sed -e 's/-[0-9]\{1,\}\.[0-9]\{1,\}$//'`
94     buildpkg $thisp && (echo ok) || (echo FAILED ;   cat $builddir/build.log)     buildpkg $thisp && (echo ok) || (echo FAILED ;   cat $builddir/build.log)
95  done  done
96    
97    # Now moves resulting CCF to final destinations
98    
99    cd $builddir || exit 1
100    
101    # notice that this is different of the standard builddir which is
102    # set to $HOME/builds/tmp, so the find command will not mess up
103    # with it
104    
105    flist=`find . -name '*.CCF'`
106    
107    if [ -z "$flist" ] ; then
108      exit 0
109    fi
110    
111    for f in $flist ; do
112      b=`basename $f`
113      echo Considering $b ...
114      if [ -e $ccfdir/$b -o -e $ccfrel/$b -o -e $scisimdir/$b ] ; then
115        echo "    it already exists. REJECTED."
116      else
117        if [ -e $ccfdeveldir/$b ] ; then
118          echo "    it already exists in the development area and it will be overwritten."
119        fi
120        ccfextseq --sets=$f
121        if [ $? -ne 0 ] ; then
122          echo "   validation stage failed. REJECTED."
123        else
124          cp $f $ccfdeveldir || exit 1
125          echo "    accepted into $ccfdeveldir."
126        fi
127      fi
128    done    

Legend:
Removed from v.1.9  
changed lines
  Added in v.1.13

  ViewVC Help
Powered by ViewVC 1.1.27